#!/bin/sh
#

EXT=tcllib-1.18
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS="tcl8.6 tcl8.6-dev"

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

#make clean
./configure \
	|| exit

make install DESTDIR=$TCZ

mkdir -p $TCZ-doc/usr/local
mv $TCZ/usr/local/man $TCZ-doc/usr/local

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-doc /tmp/$EXT/$EXT-doc.tcz -noappend

